org.eclipse.oomph.setup

## Interface VariableTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    VariableTaskImpl

      public interface VariableTask
      extends SetupTask

  A representation of the model object 'Context Variable Task'.

  The following features are supported:

  - `Type`
  - `Name`
  - `Value`
  - `Default Value`
  - `Storage URI`
  - `Label`
  - `Choices`
  See Also:
    `SetupPackage.getVariableTask()`
  Generated
  Model
    features="storePromptedValue" storePromptedValueDefault="true" storePromptedValueDataType="org.eclipse.emf.ecore.EBoolean" storePromptedValueTransient="true" storePromptedValueVolatile="true" storePromptedValueDerived="true" storePromptedValueSuppressedGetVisibility="true" storePromptedValueSuppressedSetVisibility="true"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static URI` | `DEFAULT_STORAGE_URI`
    `static URI` | `INSTALLATION_STORAGE_URI`
    `static URI` | `WORKSPACE_STORAGE_URI`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<VariableChoice>` | `getChoices()` Returns the value of the 'Choices' containment reference list.
    `String` | `getDefaultValue()` Returns the value of the 'Default Value' attribute.
    `String` | `getLabel()` Returns the value of the 'Label' attribute.
    `String` | `getName()` Returns the value of the 'Name' attribute.
    `URI` | `getStorageURI()` Returns the value of the 'Storage URI' attribute.
    `VariableType` | `getType()` Returns the value of the 'Type' attribute.
    `String` | `getValue()` Returns the value of the 'Value' attribute.
    `void` | `setDefaultValue(String value)` Sets the value of the '`Default Value`' attribute.
    `void` | `setLabel(String value)` Sets the value of the '`Label`' attribute.
    `void` | `setName(String value)` Sets the value of the '`Name`' attribute.
    `void` | `setStorageURI(URI value)` Sets the value of the '`Storage URI`' attribute.
    `void` | `setType(VariableType value)` Sets the value of the '`Type`' attribute.
    `void` | `setValue(String value)` Sets the value of the '`Value`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### DEFAULT_STORAGE_URI

          static final URI DEFAULT_STORAGE_URI

    - #### WORKSPACE_STORAGE_URI

          static final URI WORKSPACE_STORAGE_URI

    - #### INSTALLATION_STORAGE_URI

          static final URI INSTALLATION_STORAGE_URI

  - ### Method Detail

    - #### getType

          VariableType getType()

      Returns the value of the 'Type' attribute. The default value is `"STRING"`. The literals are from the enumeration `VariableType`.

      If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' attribute.
      See Also:
        `VariableType`, `setType(VariableType)`, `SetupPackage.getVariableTask_Type()`
      Generated
      Model
        default="STRING" required="true"

    - #### setType

          void setType(VariableType value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `VariableType`, `getType()`
      Generated

    - #### getName

          String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `SetupPackage.getVariableTask_Name()`
      Generated
      Model
        required="true"

    - #### setName

          void setName(String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated

    - #### getValue

          String getValue()

      Returns the value of the 'Value' attribute.

      If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value' attribute.
      See Also:
        `setValue(String)`, `SetupPackage.getVariableTask_Value()`
      Generated
      Model

    - #### setValue

          void setValue(String value)

      Sets the value of the '`Value`' attribute.
      Parameters:
        `value` - the new value of the 'Value' attribute.
      See Also:
        `getValue()`
      Generated

    - #### getDefaultValue

          String getDefaultValue()

      Returns the value of the 'Default Value' attribute.

      If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Default Value' attribute.
      See Also:
        `setDefaultValue(String)`, `SetupPackage.getVariableTask_DefaultValue()`
      Generated
      Model

    - #### setDefaultValue

          void setDefaultValue(String value)

      Sets the value of the '`Default Value`' attribute.
      Parameters:
        `value` - the new value of the 'Default Value' attribute.
      See Also:
        `getDefaultValue()`
      Generated

    - #### getStorageURI

          URI getStorageURI()

      Returns the value of the 'Storage URI' attribute. The default value is `"scope://"`.

      If the meaning of the 'Storage URI' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Storage URI' attribute.
      See Also:
        `setStorageURI(URI)`, `SetupPackage.getVariableTask_StorageURI()`
      Generated
      Model
        default="scope://" dataType="org.eclipse.oomph.base.URI"

    - #### setStorageURI

          void setStorageURI(URI value)

      Sets the value of the '`Storage URI`' attribute.
      Parameters:
        `value` - the new value of the 'Storage URI' attribute.
      See Also:
        `getStorageURI()`
      Generated

    - #### getLabel

          String getLabel()

      Returns the value of the 'Label' attribute.

      If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `SetupPackage.getVariableTask_Label()`
      Generated
      Model

    - #### setLabel

          void setLabel(String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`
      Generated

    - #### getChoices

          EList<VariableChoice> getChoices()

      Returns the value of the 'Choices' containment reference list. The list contents are of type `VariableChoice`.

      If the meaning of the 'Choices' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Choices' containment reference list.
      See Also:
        `SetupPackage.getVariableTask_Choices()`
      Generated
      Model
        containment="true" resolveProxies="true" extendedMetaData="name='choice'"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html